# Uses of Interface
org.eclipse.emf.cdo.ui.CDOEditorInput

Packages that use CDOEditorInput
Package
Description
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.

## Uses of CDOEditorInput in org.eclipse.emf.cdo.ui

Subinterfaces of CDOEditorInput in org.eclipse.emf.cdo.ui
Modifier and Type
Interface
Description
`interface`
`CDOEditorInput2`
An extension to `CDOEditorInput` that provides input object information.
`interface`
`CDOEditorInput3`
An extension to `CDOEditorInput` that provides long-running `CDOView` opening.
Methods in org.eclipse.emf.cdo.ui that return CDOEditorInput
Modifier and Type
Method
Description
`static CDOEditorInput`
CDOEditorUtil.`createCDOEditorInput(CDOView view, String resourcePath, boolean viewOwned)`
Returns an implementation of the CDOEditorInput interface.
`static CDOEditorInput`
CDOEditorUtil.`createCDOEditorInputWithEditingDomain(CDOEditorInput input, EditingDomain editingDomain)`
Creates a `CDOEditorInput` based on the given `input` that adapts to the `IEditingDomainProvider` interface to provide a particular `editingDomain`.
`static CDOEditorInput`
CDOEditorUtil.`createCDOEditorInputWithEditingDomain(CDOView view, String resourcePath, boolean viewOwned, EditingDomain editingDomain)`
Creates a `CDOEditorInput` that adapts to the `IEditingDomainProvider` interface to provide a particular `editingDomain`.
Methods in org.eclipse.emf.cdo.ui with parameters of type CDOEditorInput
Modifier and Type
Method
Description
`static CDOEditorInput`
CDOEditorUtil.`createCDOEditorInputWithEditingDomain(CDOEditorInput input, EditingDomain editingDomain)`
Creates a `CDOEditorInput` based on the given `input` that adapts to the `IEditingDomainProvider` interface to provide a particular `editingDomain`.